#include<iostream>
using namespace std;
int main()
{
    long long n,k,kol,s,brojt,r,i,j,h,m;
    cin>>n>>k;
    kol=n/k;
    r=2*n+1;
    m=0-n;
    long long a[n],b[r],c[kol];
    for(i=1;i<=n;i++){
        cin>>a[i];
    }
    for(j=m;j<=n;j++){
        b[j]=j;
    }
    for(h=1;h<=kol;h++){
        c[h]=n+1;
    }
    h=0;
    for(j=-n;j<=n;j++){
        s=0;
        for(i=1;i<=n;i++){
            if(b[j]==a[i]){
                s++;
            }
            if(s==k){
                c[h]=b[j];
                brojt++;
                h++;
            }
        }
    }
    cout<<brojt;
    for(h=0;h<=kol;h++){
        if(c[h]!=n+1){
            cout<<c[h];
        }
    }

    return 0;


}